site_name: Exécuter du python
site_author: 'Ludovic Fasquelle, Jean-Manuel Mény'

# pour ne pas avoir liens dossier/ ne fonctionnant que sous serveur:
use_directory_urls: false


nav:
    - Home: index.md
    - Préambule: preambule.md
    - Historique: historique.md
    - Interpréteur: interpreteur.md
    - Editeur: editeur.md
    - Geany: geany.md
    #- Installer Anaconda: install_anaconda.md
    - Spyder: spyder.md
    - Notebook: notebook.md
    - En ligne: enligne.md








#theme: readthedocs
theme:
    name: 'material'
    language: 'fr'
    palette:
        primary: 'indigo'
        accent: 'amber'
    feature:
        tabs: false



extra_css:
    - 'style/extra.css'

extra_javascript:
  - 'https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.0/MathJax.js?config=TeX-MML-AM_CHTML'


#https://python-markdown.github.io/extensions/
#https://squidfunk.github.io/mkdocs-material/extensions/pymdown/
#https://github.com/Python-Markdown/markdown/wiki/Third-Party-Extensions

markdown_extensions:
    - attr_list #https://python-markdown.github.io/extensions/attr_list/
    - pymdownx.tasklist:
        custom_checkbox: true
        clickable_checkbox: true
    - pymdownx.arithmatex #https://squidfunk.github.io/mkdocs-material/extensions/pymdown/
    - pymdownx.details #https://facelessuser.github.io/pymdown-extensions/extensions/details/
    - pymdownx.superfences #https://facelessuser.github.io/pymdown-extensions/extensions/superfences/
    - pymdownx.emoji:
          emoji_generator: !!python/name:pymdownx.emoji.to_svg
          #https://facelessuser.github.io/pymdown-extensions/extensions/emoji/
          #https://www.emojicopy.com/
    - meta  # https://squidfunk.github.io/mkdocs-material/extensions/metadata/
    - codehilite:
        linenums: true  # https://squidfunk.github.io/mkdocs-material/extensions/codehilite/
    - admonition  #https://squidfunk.github.io/mkdocs-material/extensions/admonition/
    - toc:
        permalink: '☘'
        baselevel: 1
        separator: "_"


plugins:
    - search
